CANVAS_COORDS_TRANSFORM(3)

FUNCTION
canvas_coords_transform - Transform world co-ordinates.

SYNOPSIS
#include <karma_canvas.h>

void canvas_coords_transform

(KWorldCanvas canvas, unsigned int num_coords, double *x, flag x_to_linear, double *y, flag y_to_linear)

DESCRIPTION
This routine will transform co-ordinates in a world canvas using the registered co-ordinate transform function (see <-canvas_register_transforms_func->).

canvas
    The world canvas object.

num_coords
    The number of co-ordinates to transform.

x   The array of horizontal world co-ordinates. These are modified.

x_to_linear
    If TRUE, then the horizontal co-ordinates are converted from non-linear to linear, else they are converted from linear to non-linear.

y   The array of vertical world co-ordinates. These are modified.

y_to_linear
    If TRUE, then the vertical co-ordinates are converted from non-linear to linear, else they are converted from linear to non-linear.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/